#pragma once

#include <vector>

template <typename type>
struct Vector2;

class Texture;

typedef struct Block;

class World
{
public:
	Vector2<unsigned int> * size;
	Block * array;

	std::vector<Block> list;

	World(Vector2<unsigned int> size, std::vector<Block> list);
	World(Vector2<unsigned int> size, std::vector<Block> list, char * path_file);

	~World();

	Block & get(Vector2<unsigned int> position);

	void load_from_file(char * path_file);
};

