#pragma once

class Texture;

typedef struct Block
{
	bool can_be;
	Texture * texture;
	int rotate;
	int id;

	Block() : texture(nullptr), can_be(true), rotate(0), id(-1) {}
	Block(Texture * texture, bool can_be, int rotate, int id) : texture(texture), can_be(can_be), rotate(rotate), id(id) {}
};