#pragma once

#include "Vector2.h"

class Ghost
{
public:
	Vector2f position;
	Vector2f velocity;

	Ghost() : position({ 0,0 }), velocity({ 0,0 }) {}
	Ghost(Vector2f position, Vector2f velocity) : position(position), velocity(velocity) {}

	void update_pos(float time)
	{
		position = position + ( velocity * time );
	}
};
