#pragma once

class Window;

template <typename type>
struct Vector2;

typedef unsigned short WORD;

class Texture;

struct Pixel;

class Render
{
public:
	char * sign;
	WORD * color;

	Vector2<unsigned int> * size;

	Render(Vector2<unsigned int> size);
	~Render();

	Pixel & operator[] (unsigned int size);

	void update(Window * window);

	void clear();

	void copy_texture(Vector2<unsigned int> position, Texture * texture, int rotate);
};
