#pragma once

struct Pixel;

template <typename type>
struct Vector2;

class Texture
{
public:
	int sizeX, sizeY;
	Pixel * array;

	Texture();
	Texture(int sizeX, int sizeY);
	Texture(char * path_file, int sizeX, int sizeY, bool font = false);

	void load_from_file(char * path_file);
	void copy_texture(Vector2<unsigned int> position, Texture * texture, int rotate);
};

